Azure
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Azure action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
action_idrequiredinteger
The ID of the actionExample: 456
POST PARAMETERS
typerequiredstring enum
The type of the actionAllowed enum:
AZUREurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksafter_action_idinteger
The numerical ID of the action, after which this action should be addednamerequiredstring
The name of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The git revision of the last successful run of the actionpermissionsPermissionsView
Access permissions configurationpush_tagsboolean
If set to true, tags will be pushed to the repositorypush_only_tagsboolean
If set to true, only tags will be pushed without commitstarget_branchstring
The target branch to push towithout_forceboolean
If set to true, force push will not be usedisolatedboolean
If set to true, the action will run in an isolated environmentuse_custom_gitignoreboolean
If set to true, custom .gitignore rules will be useddeployment_excludesstring[]
The list of files or directories to exclude from deploymentcommentstring
The commit message for the pushtagstring
The tag name to create and pushcustom_optionsstring
Custom git push optionstargetsTargetView[]
The list of target repositories to push tointegrationrequiredAzureIntegrationRef
Azure Cloud integration (AZURE_CLOUD)push_urlstring
The URL of the Azure Git repository to push tologinstring
The username for Azure authenticationenv_keystring
The name of the environment variable containing the private keypasswordstring
The password for Azure authenticationserver_keystring
The private SSH key for Azure authenticationgit_auth_moderequiredstring enum
The authentication mode for Git operationsAllowed enum:
HTTP,PRIVATE_KEY,PUBLIC_BUDDY_KEY,ENV_KEY,CURRENTResponse
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
AZUREurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a looppush_tagsboolean
If set to true, tags will be pushed to the repositorypush_only_tagsboolean
If set to true, only tags will be pushed without commitstarget_branchstring
The target branch to push towithout_forceboolean
If set to true, force push will not be usedisolatedboolean
If set to true, the action will run in an isolated environmentuse_custom_gitignoreboolean
If set to true, custom .gitignore rules will be useddeployment_excludesstring[]
The list of files or directories to exclude from deploymentcommentstring
The commit message for the pushtagstring
The tag name to create and pushcustom_optionsstring
Custom git push optionstargetsTargetView[]
The list of target repositories to push tointegrationIntegrationIdentifierView
The integration used by the actionpush_urlstring
The URL of the Azure Git repository to push tologinstring
The username for Azure authenticationenv_keystring
The name of the environment variable containing the private keypasswordstring
The password for Azure authenticationserver_keystring
The private SSH key for Azure authenticationgit_auth_modestring enum
The authentication mode for Git operationsAllowed enum:
HTTP,PRIVATE_KEY,PUBLIC_BUDDY_KEY,ENV_KEY,CURRENTLast modified on Feb 18, 2026
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Push to Your Repo",
"type": "AZURE",
"git_auth_mode": "HTTP",
"trigger_time": "ON_EVERY_EXECUTION",
"push_url": "https://buddytestapp.scm.azurewebsites.net:443/BuddyTestApp.git",
"login": "api_tests_user",
"password": "api_tests_password",
"isolated": true,
"target_branch": "stage",
"deployment_excludes": [
"/tmp/",
"*.log"
]
}'STATUS200 OK